# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "twitch_types"
version = "0.3.9"
include = [
    "src/*",
    "./Cargo.toml",
    "examples/*",
    "./README.md",
    "CHANGELOG.md",
    "LICENSE*",
]
description = "common types for Twitch"
readme = "README.md"
keywords = [
    "twitch",
    "api",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/twitch-rs/twitch_types"

[package.metadata.docs.rs]
all-features = true
rustc-args = [
    "--cfg",
    "nightly",
]
rustdoc-args = [
    "--cfg",
    "nightly",
]

[dependencies.aliri_braid]
version = "0.2"

[dependencies.arbitrary]
version = "1.2.0"
optional = true

[dependencies.displaydoc]
version = "0.2"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_derive]
version = "1.0"

[dependencies.serde_repr]
version = "0.1"

[dependencies.thiserror]
version = "1.0"

[dependencies.time]
version = "0.3"
features = [
    "parsing",
    "formatting",
]
optional = true
default-features = false

[dependencies.tracing]
version = "0.1"
optional = true

[dependencies.typed-builder]
version = "0.10"
optional = true

[dependencies.zerofrom]
version = "0.1.0"
optional = true

[features]
color = []
default = []
deny_unknown_fields = []
emote = []
eventsub = []
goal = []
moderation = []
points = []
stream = []
timestamp = []
user = []
